#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2010-05-05
# Last Modified: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $
# Id:            $Id: folder_validation.pm 12048 2010-12-02 12:30:28Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/lib/npg_common/run/folder_validation.pm $
#

package npg_common::run::folder_validation;
use Moose;
use Carp;
use English qw{-no_match_vars};
use Readonly;

with qw{npg_common::roles::run::folder_validation};

Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 12048 $ =~ /(\d+)/mxs; $r; };


no Moose;
__PACKAGE__->meta->make_immutable;
1;
__END__

=head1 NAME

npg_common::run::folder_validation

=head1 VERSION

$LastChangedRevision: 12048 $

=head1 SYNOPSIS

$validation = npg_common::run::folder_validation->new( run_folder => $run_folder, );
$validation = npg_common::run::folder_validation->new( run_folder => $run_folder, no_npg_check => 1,);
$validation->check();

=head1 DESCRIPTION

Given a run_folder, and get the final digits of it to be the id_run, check this is genuine or not in NPG

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item Carp

=item English -no_match_vars

=item Readonly

=item npg_common::roles::run::folder_validation

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: gq1 $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
