#!/software/bin/perl
#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       02 March 2010
# Last Modified: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $
# Id:            $Id: split_fastq_by_tag.pl 12048 2010-12-02 12:30:28Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/scripts/split_fastq_by_tag.pl $
#

#########################
# This script splits a multiplex fastq file by tag and prints to a separate file for each one.
##########################

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/perl5);

use npg_common::sequence::SplitFastqByTag;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 12048 $ =~ /(\d+)/smx; $r; };

npg_common::sequence::SplitFastqByTag->new_with_options()->process();

exit 0;

=head1 NAME

split_fastq_by_tag.pl

=head1 VERSION

$LastChangedRevision: 12048 $

=head1 USAGE

split_fastq_by_tag.pl --fastq 4395_1_1.fastq --output_dir /tmp/4395_1_1/ --limit 10000

=head1 CONFIGURATION

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item strict

=item warnings

=item npg_common::sequence::SplitFastqByTag

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

