#########
# Author:        rmp
# Last Modified: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $ $Author: gq1 $
# Id:            $Id: 00-critic.t 12048 2010-12-02 12:30:28Z gq1 $
# Source:        $Source: /cvsroot/Bio-DasLite/Bio-DasLite/t/00-critic.t,v $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/t/00-critic.t $
#
package critic;
use strict;
use warnings;
use Test::More;
use English qw(-no_match_vars);

use Readonly; Readonly::Scalar our $VERSION => do { my @r = (q$LastChangedRevision: 12048 $ =~ /\d+/mxg); sprintf '%d.'.'%03d' x $#r, @r };

if (!$ENV{TEST_AUTHOR}) {
  my $msg = 'Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.';
  plan( skip_all => $msg );
}

eval {
  require Test::Perl::Critic;
};

if($EVAL_ERROR) {
  plan skip_all => 'Test::Perl::Critic not installed';

} else {
  Test::Perl::Critic->import(
			 -severity => 1,
			 -exclude  => [ 'tidy',
                            'ValuesAndExpressions::ProhibitImplicitNewlines',
                            'ValuesAndExpressions::RequireConstantVersion' ],
			 -profile  => 't/perlcriticrc',
			    );
  all_critic_ok();
}

1;
