#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2009-04-07
# Last Modified: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $
# Id:            $Id: 10-Fastq_Split.t 12048 2010-12-02 12:30:28Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/t/10-Fastq_Split.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 7;
use npg_common::Fastq_Split;
use File::Temp qw(tempfile tempdir);

my $work_dir = tempdir(CLEANUP => 0);

use_ok('npg_common::Fastq_Split');

{
  my $fastq_split = npg_common::Fastq_Split->new(
    {
      srf_filter_cmd => 't/bin/srf_filter',
      samtools_cmd    =>'t/bin/samtools',
    }
  );


#--
 is($fastq_split->get_filename_no_extension('t/data/fastq_split/seq_ids.txt'), q{seq_ids}, 'get correct file name without extension');

#--
  my $ids = $fastq_split->_get_seq_ids_from_file('t/data/fastq_split/seq_ids.txt');
  is(scalar keys %{$ids}, 2, 'correct number ids got');

#--
  eval{
    $fastq_split->_srf_filter_file($ids, "$work_dir/srf_filter.txt");
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak to generate srf filter file');

#--  
  eval{
    $fastq_split->fastq_split('t/data/fastq_split/2605_1_1.fastq', $ids, "$work_dir/select.fastq", "$work_dir/rest.fastq");
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak to split fastq files');


#--
  eval{
    $fastq_split->srf_filter('t/data/fastq_split/2605_1.srf', 't/data/fastq_split/srf_filter_ids.txt', "$work_dir/select.srf");
    1;
  };
  is($EVAL_ERROR, q{}, 'no croak in farm for fastqindex split');
}

{
  my $fastq_split = npg_common::Fastq_Split->new(
    {
      bwa_cmd         =>'t/bin/bwa',
      srf_filter_cmd  =>'t/bin/srf_filter',
      samtools_cmd    =>'t/bin/samtools',
    }
  );
  my $args = {
    fastq1     => 't/data/fastq_split/2605_1_1.fastq',
    fastq2     => 't/data/fastq_split/2605_1_1.fastq',
    srf        => 't/data/fastq_split/2605_1.srf',
    ref_bwa    => 't/data/fastq_split/Homo_sapiens.NCBI36.48.dna.all.fa',
    ref_fa     => 't/data/fastq_split/Homo_sapiens.NCBI36.48.dna.all.fa',
    output_dir => $work_dir,
  };
  eval{
    $fastq_split->file_split($args);
    1;
  };
  like($EVAL_ERROR, qr{The bam file to be sorted.+ not exist}, 'croak to split fastq and srf file');
}
