use strict;
use warnings;
use Test::More tests => 5;
use English qw(-no_match_vars);
use Test::Exception;
use File::Temp qw/tempdir/;
#use Cwd qw/cwd/;


my $dir = tempdir( CLEANUP => 1 );

use_ok('npg_common::extractor::fastq_old2new');
my $f1 = $dir . q[/44_s_1.fastq];
my $f2 = $dir . q[/44_s_3.fastq];
`touch $f1`;
`touch $f2`;

{
  isa_ok(npg_common::extractor::fastq_old2new->new(id_run=>44, dir_in => $dir,  dir_out => $dir,), 
                'npg_common::extractor::fastq_old2new');
}

{
  throws_ok {npg_common::extractor::fastq_old2new->new(id_run=>44, dir_in => q[t],  dir_out => $dir,)}
            qr/No old-style fastq file in the input directory t/, 'error when no old-style fastq files found';
}

{
  my $s = npg_common::extractor::fastq_old2new->new(id_run=>44, dir_in => $dir,  dir_out => $dir,);
  is (join(q[ ], @{$s->lane}), q[1 2 3 4 5 6 7 8], 'default lane array');
  my @files = ($f1, $f2);
  is (join(q[ ], sort keys %{$s->_fastq_files}), join(q[ ], sort @files), 'fastq check files globbed');
}
