#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2010-03002
# Last Modified: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $
# Id:            $Id: 10-sequence-SplitFastqByTag.t 12048 2010-12-02 12:30:28Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/t/10-sequence-SplitFastqByTag.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 5;
use Test::Exception;
use File::Temp qw( tempfile tempdir );
use List::Util qw(max);
use Perl6::Slurp;

use_ok('npg_common::sequence::SplitFastqByTag');

{
  my $fastq = 't/data/sequence/4395_2_1.fastq';
  my $limit = 2;
  my $output_dir = tempdir( CLEANUP => 1 );

  my $fastq_splitter = npg_common::sequence::SplitFastqByTag->new({
                 fastq      => $fastq,
                 output_dir => $output_dir,
                 limit      => $limit,
               });

  isa_ok($fastq_splitter, 'npg_common::sequence::SplitFastqByTag', 'object test');

  lives_ok{$fastq_splitter->process();} q{processing ok};

  my $max_count = 0;
  foreach my $tag_fastq ( glob $output_dir . q{/*fastq} ) {
    my @lines  = slurp( $tag_fastq, { chomp => 1 } );
    $max_count = max( $max_count, scalar @lines );
  }

  ok( $max_count > 0, 'Some output was produced' );
  ok( $max_count <= ( $limit * 4 ), 'The limit option worked' );
}
1;
