#########
# Author:        Marina Gourtovaia
# Maintainer:    $Author: gq1 $
# Created:       21 June 2010
# Last Modified: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $
# Id:            $Id: 20-sequence-reference-find.t 12048 2010-12-02 12:30:28Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/t/20-sequence-reference-find.t $
#

package reference;

use strict;
use warnings;
use Test::More tests => 3;
use Test::Exception;
use File::Spec::Functions qw(catfile);
use Cwd qw(cwd);
use Moose::Meta::Class;

use st::api::sample;

my $repos = catfile(cwd, q[t/data/sequence/references]);

my $cache_var_name = q[NPG_WEBSERVICE_CACHE_DIR];
my $cache = q[t/data/sequence];
local $ENV{$cache_var_name} = $cache;

use_ok('npg_common::sequence::reference::roles::find');

{
  my $ruser = Moose::Meta::Class->create_anon_class(
          roles => [qw/npg_common::sequence::reference::roles::find/])
          ->new_object({ ref_repository => $repos,});

  throws_ok { $ruser->_get_preset_reference_path() } qr/Asset not defined/, 'missing asset  error';

  my $sample = st::api::sample->new({id => 7139,});
  is ($ruser->_get_preset_reference_path($sample), q[], 'no ref genome defined for a sample and its study - return empty string');
}
