#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2010-05-05
# Last Modified: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $
# Id:            $Id: 40-roles_run_folder_validation.t 12048 2010-12-02 12:30:28Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/t/40-roles_run_folder_validation.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 5;
use Test::Exception;
use lib qw{t};
use t::useragent;

BEGIN {
  use_ok(q{npg_common::roles::run::folder_validation});
  use_ok(q{npg_common::run::folder_validation});
}
my $validation;

{
  $validation = npg_common::run::folder_validation->new(
                                                        run_folder => '100505_IL45_4655',
                                                       );

   ok(!$validation->check, 'Run folder 100505_IL45_4655 NOT match 100429_IL38_4655 from npg');
}

{
  $validation = npg_common::run::folder_validation->new(id_run    => 4655,
                                                        run_folder => '100429_IL38_4655',
                                                       );

  ok($validation->check, 'Run folder 100505_IL45_4655 match 100429_IL38_4655 from npg');
}

{
  $validation = npg_common::run::folder_validation->new(
                                                        run_folder => '100429_IL38_4655',
                                                        no_npg_check =>1,
                                                       );

  ok($validation->check, 'Run folder 100505_IL45_4655 not checked from npg');
}

t::useragent::fetch_from_web();
diag 'switched back to fetching from the web';

1;
