# $Id: 70-version_comparison.t 12048 2010-12-02 12:30:28Z gq1 $
use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 169;
use Test::Exception;
use lib qw{t};

BEGIN {
  use_ok(q{npg_common::VersionComparison});
}
{

  my %versions = (
    1 => q{0_1},
    2 => q{0_2},
    3 => q{0_3},
    4 => q{0_4},
    5 => q{0_10},
    6 => q{1_0},
    7 => q{1_1},
    8 => q{1_21},
    9 => q{2_3},
  );

  foreach my $orig_v ( sort keys %versions ) {
    foreach my $new_v ( sort keys %versions ) {
      if ( $orig_v < $new_v ) {
        is( compare_version( $versions{$orig_v}, $versions{$new_v}, q{_} ), 1, qq[$versions{$orig_v} > $versions{$new_v}] );
      }
      if ( $orig_v > $new_v ) {
        is( compare_version( $versions{$orig_v}, $versions{$new_v}, q{_}  ), -1, qq[$versions{$orig_v} < $versions{$new_v}] );
      }
      if ( $orig_v == $new_v ) {
        is( compare_version( $versions{$orig_v}, $versions{$new_v}, q{_}  ), 0, qq[$versions{$orig_v} eq $versions{$new_v}] );
      }
    }

  }

}
{

  my %versions = (
    1 => q{0.0.1},
    2 => q{0.0.21},
    3 => q{0.1.1},
    4 => q{0.1.3},
    5 => q{1.0.0},
    6 => q{1.8.7},
    7 => q{1.10.0},
    8 => q{1.10.1},
    9 => q{2.0.0},
  );

  foreach my $orig_v ( sort keys %versions ) {
    foreach my $new_v ( sort keys %versions ) {
      if ( $orig_v < $new_v ) {
        is( compare_version( $versions{$orig_v}, $versions{$new_v} ), 1, qq[$versions{$orig_v} > $versions{$new_v}] );
      }
      if ( $orig_v > $new_v ) {
        is( compare_version( $versions{$orig_v}, $versions{$new_v} ), -1, qq[$versions{$orig_v} < $versions{$new_v}] );
      }
      if ( $orig_v == $new_v ) {
        is( compare_version( $versions{$orig_v}, $versions{$new_v} ), 0, qq[$versions{$orig_v} eq $versions{$new_v}] );
      }
    }

  }

  is( compare_version( q{1.2.3}, q{1.5} ), 1,  q{unequal, second version greater (but smaller number of componenents)} );
  is( compare_version( q{1.2.3}, q{1.1} ), -1, q{unequal, second version less (but smaller number of componenents)} );
  is( compare_version( q{1.5}, q{1.5.6} ), 1,  q{unequal, second version greater (but greater number of componenents)} );
  is( compare_version( q{1.2}, q{1.1.6} ), -1, q{unequal, second version less (but greater number of componenents)} );
  is( compare_version( q{1.5}, q{1.5.0} ), 0,  q{equal, second version greater number of componenents} );
  is( compare_version( q{1.2.0}, q{1.2} ), 0,  q{equal, second version smaller number of componenents} );

}
1;