#############
# $Id: run_fs_resource.pm 12048 2010-12-02 12:30:28Z gq1 $
# Created By: ajb
# Mast Maintained By: $Author: gq1 $
# Created On: 2009-10-01
# Last Changed On: $Date: 2010-12-02 12:30:28 +0000 (Thu, 02 Dec 2010) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-31.0/t/lib/npg_common/role_tests/run_fs_resource.pm $

package npg_common::role_tests::run_fs_resource;
use Moose;
use MooseX::InsideOut;
use Carp;
use English qw{-no_match_vars};
use Readonly;
use File::Spec::Functions qw(splitdir);
use List::Util qw(first);

with qw{npg_common::roles::run::short_info npg_common::roles::run::path_info};
with q{npg_common::roles::run::fs_resource};

Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 12048 $ =~ /(\d+)/mxs; $r; };

has q{verbose} => ( isa => q{Int}, is => q{ro} );

sub _build_run_folder {
  my ($self) = @_;
  my $path = $self->runfolder_path();
  return first {$_ ne q()} reverse splitdir($path);
}

no Moose;
__PACKAGE__->meta->make_immutable;
1;
__END__

=head1 NAME

npg_common::role_tests::run_fs_resource

=head1 VERSION

$LastChangedRevision: 12048 $

=head1 SYNOPSIS

=head1 DESCRIPTION

This is a test class object for testing the role npg_common::roles::run::fs_resource, whilst you may want to use
some of this code, it should not be considered production as is

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item Carp

=item English -no_match_vars

=item Readonly

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: gq1 $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2009 Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
